---
displayed_sidebar: entitiesSidebar
---

# Class: DiscountConditionCustomerGroup

## Constructors

### constructor

• **new DiscountConditionCustomerGroup**()

## Properties

### condition\_id

• **condition\_id**: `string`

#### Defined in

[models/discount-condition-customer-group.ts:20](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/discount-condition-customer-group.ts#L20)

___

### created\_at

• **created\_at**: `Date`

#### Defined in

[models/discount-condition-customer-group.ts:31](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/discount-condition-customer-group.ts#L31)

___

### customer\_group

• `Optional` **customer\_group**: [`CustomerGroup`](CustomerGroup.md)

#### Defined in

[models/discount-condition-customer-group.ts:24](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/discount-condition-customer-group.ts#L24)

___

### customer\_group\_id

• **customer\_group\_id**: `string`

#### Defined in

[models/discount-condition-customer-group.ts:17](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/discount-condition-customer-group.ts#L17)

___

### discount\_condition

• `Optional` **discount\_condition**: [`DiscountCondition`](DiscountCondition.md)

#### Defined in

[models/discount-condition-customer-group.ts:28](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/discount-condition-customer-group.ts#L28)

___

### metadata

• **metadata**: `Record`<`string`, `unknown`\>

#### Defined in

[models/discount-condition-customer-group.ts:37](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/discount-condition-customer-group.ts#L37)

___

### updated\_at

• **updated\_at**: `Date`

#### Defined in

[models/discount-condition-customer-group.ts:34](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/discount-condition-customer-group.ts#L34)
